curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-target-products-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "lego",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-target-products-search"
payload = {
"keyword": "lego",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'lego', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-target-products-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "target_products_search",
"keyword": "lego",
"sort": "relevance",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Target products search\n\n- **Keyword:** lego\n- **Sort:** relevance\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 142.5 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "86216189",
"url": "https://www.target.com/p/lego-creator-3-in-1-space-shuttle-38-spaceship-toys-31134/-/A-86216189",
"alias": "lego-creator-3-in-1-space-shuttle-38-spaceship-toys-31134",
"brand": "LEGO",
"title": "LEGO Creator 3 in 1 Space Shuttle & Spaceship Toys 31134",
"price": 7.99,
"list_price": 9.89,
"currency": "USD",
"save_percent": 19,
"is_on_sale": true,
"image": "https://target.scene7.com/is/image/Target/GUEST_4821aabf-378b-4dc5-888e-569c3b94e307",
"rating": 4.79,
"rating_count": 541,
"category_id": "5e002",
"parent_category_id": "5xt8r"
},
"items": [
{
"id": "86216189",
"url": "https://www.target.com/p/lego-creator-3-in-1-space-shuttle-38-spaceship-toys-31134/-/A-86216189",
"alias": "lego-creator-3-in-1-space-shuttle-38-spaceship-toys-31134",
"brand": "LEGO",
"title": "LEGO Creator 3 in 1 Space Shuttle & Spaceship Toys 31134",
"price": 7.99,
"list_price": 9.89,
"currency": "USD",
"save_percent": 19,
"is_on_sale": true,
"image": "https://target.scene7.com/is/image/Target/GUEST_4821aabf-378b-4dc5-888e-569c3b94e307",
"rating": 4.79,
"rating_count": 541,
"category_id": "5e002",
"parent_category_id": "5xt8r"
},
{
"id": "94939978",
"url": "https://www.target.com/p/lego-botanicals-rocking-plants-flower-building-set-mother-39-s-day-gift-11506/-/A-94939978",
"alias": "lego-botanicals-rocking-plants-flower-building-set-mother-39-s-day-gift-11506",
"brand": "LEGO",
"title": "LEGO Botanicals Rocking Plants Flower Building Set 11506",
"price": 22.99,
"list_price": 22.99,
"currency": "USD",
"save_percent": null,
"is_on_sale": false,
"image": "https://target.scene7.com/is/image/Target/GUEST_80abb6ea-4a6c-4365-b069-835844fbd492",
"rating": 4.87,
"rating_count": 145,
"category_id": "5e002",
"parent_category_id": "5xt8r"
}
],
"proxy_traffic_bytes": 145949
},
"total_points": 2
}Target products search
Search live Target products by keyword with a sort order (relevance, featured, price, rating, bestselling, newest). 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Search term. e.g. lego
Max items (up to 500)
1 <= x <= 500Starting page
x >= 1Sort by. Options: relevance = Relevance, featured = Featured, price_low = Price: low to high, price_high = Price: high to low, rating = Highest rated, bestselling = Best selling, newest = Newest
relevance, featured, price_low, price_high, rating, bestselling, newest Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.